%define upstream_name    Dist-Zilla-Plugin-UploadToGoogleCode
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Upload your dist to Google Code (experimental)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes)
BuildRequires: perl(Config::Identity)
BuildRequires: perl(Dist::Zilla::File::OnDisk)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Google::Code::Upload)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin looks for the Google Code project name in _dist.ini_, and gets
your Google Code credentials from _~/.googlecode-identity_ (which can be
GnuPG-encrypted; see the Config::Identity manpage).

If any configuration is missing, it will prompt you to enter your username
and password during the BeforeRelease phase. Entering a blank username or
password will abort the release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml LICENSE Changes README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1803429
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1494415
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1267723
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1026654
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 967369
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 848785
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 749633
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 511154
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 366553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 298307
- imported package perl-Dist-Zilla-Plugin-UploadToGoogleCode


* Wed Sep 26 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
